<?php

/*
Name: FlickrMovr
URI: https://www.bernhard-riedl.com/projects/
Description: FlickrMovr backups flickr-photos (using flickr-photo-ids as filenames) together with their most important meta-data (e.g. set-description, photo-title and GPS-information/geo-location). - It optionally writes a XML database holding the descriptive information of sets and photos. By integrating ExifTool, FlickrMovr can also store meta-data in the EXIF tags of the downloaded photos.
Author: Dr. Bernhard Riedl
Version: 0.62
Author URI: https://www.bernhard-riedl.com/
*/

/*
Copyright 2009-2017 Dr. Bernhard Riedl
Inspirations, Proof-Reading & Design by Veronika Grascher

This program is free software:
you can redistribute it and/or modify
it under the terms of the
GNU General Public License as published by
the Free Software Foundation,
either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope
that it will be useful,
but WITHOUT ANY WARRANTY;
without even the implied warranty of
MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License
for more details.

You should have received a copy of the
GNU General Public License
along with this program.

If not, see http://www.gnu.org/licenses/.

Please stick to the Flickr guidelines,
which are available at
http://flickr.com/guidelines.gne
*/

/*
include classes
*/

require('classes/main.php');
require('classes/domdocument.php');
require('classes/photo.php');
require('classes/set.php');
require('classes/utils.php');

/*
create new FlickrMovr object
*/

try {
	$flickrmovr=new FlickrMovr();
}

catch (Exception $e) {
	Utils::echo_log($e->getMessage(), -3);

	if (defined('ERROR') && ERROR)
		exit(1);
}
